# TaskExecutionRequest

interface TaskExecutionRequest

A request to execute some tasks, along with an optional project path context to provide information necessary to select the tasks

#### Since

2.0

## Functions

getArgs
Link copied to clipboard
abstract fun getArgs(): List<String>
The arguments to use to select and optionally configure the tasks, as if provided on the command-line.
getProjectPath
Link copied to clipboard
@Nullable
abstract fun getProjectPath(): @Nullable String
Project path associated with this task request if any.
getRootDir
Link copied to clipboard
@Nullable
abstract fun getRootDir(): @Nullable File
The root folder of the build that this task was defined in.